%define api_version	1.2
%define major		0
%define lib_name	%mklibname %{name} %{api_version} %{major}
%define develname	%mklibname -d %name
%define lib_namegtk	%mklibname %{name}gtk %{api_version} %{major}
%define gtkdevelname	%mklibname -d %{name}gtk


Summary:	An English-language thesaurus library
Name:		aiksaurus
Version:	1.2.1
Release:	%mkrel 21
License:	GPLv2+
Group:		Office/Utilities
URL:		https://sourceforge.net/projects/aiksaurus/
Source:		%{name}-%{version}.tar.bz2
Patch0:		aiksaurus-1.2.1-gcc43.patch
Patch1:		%{name}-1.2.1-fix-str-fmt.patch
BuildRequires:	gtk2-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gnome-common
Requires:	%{name}-data

%description
Aiksaurus is an English-language thesaurus library that can be
embedded in word processors, email composers, and other authoring
software to provide thesaurus capabilities.
This package contains a basic command line thesaurus program.

Install Aiksaurus if you want to have a thesaurus available on
your computer.

%package -n %name-data
Summary:	An English-language thesaurus library
Group:		Office/Utilities

%description -n %name-data
Aiksaurus is an English-language thesaurus library that can be
embedded in word processors, email composers, and other authoring
software to provide thesaurus capabilities.
This package contains the data files.

%package -n %lib_name
Summary:	An English-language thesaurus library
Group:		System/Libraries
Requires:	%{name}-data

%description -n %lib_name
Aiksaurus is an English-language thesaurus library that can be
embedded in word processors, email composers, and other authoring
software to provide thesaurus capabilities.
This package contains these libraries.

Install Aiksaurus if you want to have a thesaurus available on
your computer.

%package -n %develname
Summary:	Libraries and include files for Aiksuarus
Group:		Development/C
Requires:	%{lib_name} = %{version}-%{release}
Provides:	aiksaurus-devel = %{version}-%{release}
Provides:	aiksaurus-%{api_version}-devel = %{version}-%{release}

%description -n %develname
Aiksaurus is an English-language thesaurus library that can be
embedded in word processors, email composers, and other authoring
software to provide thesaurus capabilities.
This package contains the libraries and includes files necessary to develop
applications with Aiksaurus.


%package -n %{name}gtk
Summary:	A GTK+ thesaurus application
Group:		Office/Utilities

%description -n %{name}gtk
Aiksaurusgtk is a GTK+ interface to the Aiksaurus library.
It provides an attractive thesaurus interface, and can be embedded
in GTK+ projects, notably AbiWord.

This package provides the standalone GTK+ interface.

%package -n %{lib_namegtk}
Summary:	Libraries for aiksaurusgtk
Group:		System/Libraries

%description -n %{lib_namegtk}
Aiksaurusgtk is a GTK+ interface to the Aiksaurus library.
It provides an attractive thesaurus interface, and can be embedded
in GTK+ projects, notably AbiWord.
This package provides the library files for aiksaurusgtk.


%package -n %gtkdevelname
Summary:	A GTK+ thesaurus library
Group:		Development/C
Requires:	%{lib_namegtk} = %{version}-%{release}
Provides:	aiksaurusgtk-devel = %{version}-%{release}
Provides:	aiksaurusgtk-%{api_version}-devel = %{version}-%{release}

%description -n %{gtkdevelname}
This package contains the libraries and includes files necessary to develop
applications with Aiksaurusgtk.


%prep
%setup -q
%autopatch -p1

%build
%configure --disable-static CPPFLAGS="$CPPFLAGS -std=c++11"
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files
%doc ChangeLog README COPYING AUTHORS
%{_bindir}/aiksaurus
%{_bindir}/caiksaurus

%files -n %name-data
%dir %{_datadir}/aiksaurus
%{_datadir}/aiksaurus/*.dat

%files -n %lib_name
%{_libdir}/libAiksaurus-%{api_version}.so.%{major}{,.*}

%files -n %develname
%{_libdir}/libAiksaurus.so
%{_libdir}/pkgconfig/aiksaurus-1.0.pc
%dir %{_includedir}/Aiksaurus
%{_includedir}/Aiksaurus/Aiksaurus.h
%{_includedir}/Aiksaurus/AiksaurusC.h


%files -n %{name}gtk
%{_bindir}/gaiksaurus

%files -n %{lib_namegtk}
%{_libdir}/libAiksaurusGTK-%{api_version}.so.%{major}{,.*}

%files -n %gtkdevelname
%{_libdir}/libAiksaurusGTK.so
%{_libdir}/pkgconfig/gaiksaurus-1.0.pc
%{_includedir}/Aiksaurus/AiksaurusGTK*.h


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.2.1-21.mga10
+ Revision: 2210848
- Mageia 10 Mass Rebuild

* Thu Mar 24 2022 danf <danf> 1.2.1-20.mga9
+ Revision: 1825297
- Build in C++11 mode due to the use of dynamic exceptions

* Fri Jun 12 2020 joequant <joequant> 1.2.1-19.mga8
+ Revision: 1592697
- remove arm workaround
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 12 2020 umeabot <umeabot> 1.2.1-18.mga8
+ Revision: 1511642
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.2.1-17.mga7
+ Revision: 1297303
- Mageia 7 Mass Rebuild

* Mon Jun 04 2018 wally <wally> 1.2.1-16.mga7
+ Revision: 1234499
- fix build on aarch64
- drop old provides/obsoletes

* Fri Feb 05 2016 umeabot <umeabot> 1.2.1-15.mga6
+ Revision: 936375
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-14.mga5
+ Revision: 743528
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-13.mga5
+ Revision: 686472
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-12.mga5
+ Revision: 677721
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.1-11.mga4
+ Revision: 502469
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.2.1-10.mga3
+ Revision: 345353
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 barjac <barjac> 1.2.1-9.mga3
+ Revision: 344900
- update group
- tidy tabs/spaces

* Tue Sep 20 2011 fwang <fwang> 1.2.1-8.mga2
+ Revision: 145938
- drop .la files

* Fri Feb 25 2011 ennael <ennael> 1.2.1-7.mga1
+ Revision: 59341
- clean spec file
- imported package aiksaurus


* Fri Jun 12 2009 Jérôme Brenier <incubusss@mandriva.org> 1.2.1-7mdv2010.0
+ Revision: 385614
- fix str fmt

* Sun Nov 09 2008 Funda Wang <fwang@mandriva.org> 1.2.1-6mdv2009.1
+ Revision: 301225
- add gcc 4.3 patch
- new devel package name policy
- new license policy

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 25 2008 Emmanuel Andry <eandry@mandriva.org> 1.2.1-4mdv2008.1
+ Revision: 189871
- Fix lib group

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 1.2.1-3mdv2008.1
+ Revision: 135819
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - import aiksaurus


* Wed Jun 28 2006 Lenny Cartier <lenny@mandriva.com> 1.2.1-3mdv2007.0
- rebuild

* Fri Sep 02 2005 Marcel Pol <mpol@mandriva.org> 1.2.1-2mdk
- rebuild

* Mon Aug 09 2004 Marcel Pol <mpol@mandrake.org> 1.2.1-1mdk
- 1.2.1
- increase api version
- no need to run aclocal anymore

* Wed Jun 09 2004 Marcel Pol <mpol@mandrake.org> 1.0.2-0.cvs20040609.1mdk
- cvs snapshot

* Wed Dec 16 2003 Marcel Pol <mpol@mandrake.org> 1.0.1-5mdk
- use better 64bit (build)requires

* Sun Oct 19 2003 Marcel Pol <mpol@gmx.net> 1.0.1-4mdk
- buildrequires

* Fri Aug 29 2003 Marcel Pol <mpol@gmx.net> 1.0.1-3mdk
- buildrequires

* Mon Jul 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-2mdk
- Rebuild

* Wed Jul 16 2003 Marcel Pol <mpol@gmx.net> 1.0.1-1mdk
- rebuild for provides/requires
- s/Aiksaurus/aiksaurus
- new url
- source now includes gtk frontend
- drop patch0
- run aclocal to avoid libtool problems
- new soname

* Thu May 22 2003 Marcel Pol <mpol@gmx.net> 0.15-2mdk
- rebuild for provides/requires

* Mon Mar 10 2003 Marcel Pol <mpol@gmx.net> 0.15-1mdk
- initial mandrake release
